Subject: OpenJDK doesn't have a doclet

From: Igor Gajsin <[email-masked]>
Date: Fri, 11 Feb 2022 00:26:47 +0100

There is a problem with openjdk (all versions 10 to 17). When I run
cider (emacs mode for clojure) it complains about:
java.lang.ClassNotFoundException: jdk.javadoc.doclet.Doclet

when I try to set icedtea there is no such problem. If I understand well
doclet is a part of JDK so it shoulb be part of a modern openjdk
installation.

way to reproduce:

1. Install openjdk and emacs  via `guix package -i openjdk emacs`
2. In emacs apply code  `(use-package cider :ensure t)`
3. on a any clojure project run the command `cider-jack-in`
4. receive the erorr in the repl
5. Install icedtea `guix package -i icedtea`
6. repeat the command and see no errors

-- 
With best regards,
Igor Gajsin